Skip to main content
GET
/
api
/
v1
/
tokens
/
{tokenId}
Get token by id
curl --request GET \
  --url https://mainnet.mirrornode.hedera.com/api/v1/tokens/{tokenId}
{ "admin_key": { "_type": "ProtobufEncoded", "key": 10101 }, "auto_renew_account": "0.1.2", "auto_renew_period": null, "created_timestamp": "1234567890.000000001", "deleted": false, "decimals": 1000, "expiry_timestamp": null, "freeze_default": false, "freeze_key": { "_type": "ProtobufEncoded", "key": 10101 }, "initial_supply": 1000000, "kyc_key": { "_type": "ProtobufEncoded", "key": 10101 }, "max_supply": 9223372036854776000, "memo": "token memo", "modified_timestamp": "1234567890.000000001", "name": "Token name", "pause_key": { "_type": "ProtobufEncoded", "key": 10101 }, "pause_status": "UNPAUSED", "supply_key": { "_type": "ProtobufEncoded", "key": 10101 }, "supply_type": "INFINITE", "symbol": "ORIGINALRDKSE", "token_id": "0.10.1", "total_supply": 1000000, "treasury_account_id": "0.1.2", "type": "FUNGIBLE_COMMON", "wipe_key": { "_type": "ProtobufEncoded", "key": 10101 }, "custom_fees": { "created_timestamp": "1234567890.000000001", "fixed_fees": [ { "amount": 100, "collector_account_id": "0.1.5", "denominating_token_id": "0.10.8" } ], "fractional_fees": [ { "amount": { "numerator": 12, "denominator": 29 }, "collector_account_id": "0.1.6", "denominating_token_id": "0.10.9", "maximum": 120, "minimum": 30, "net_of_transfers": true } ] } }

Path Parameters

tokenId
string | null
required

Token id Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

Query Parameters

timestamp
string

The Unix timestamp in seconds.nanoseconds format. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.

Pattern: ^((eq|lt|lte):)?\d{1,10}(.\d{1,9})?$

Response

OK

admin_key
object

The public key which controls access to various network entities.

auto_renew_account
string | null

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

auto_renew_period
integer<int64> | null
Example:

null

created_timestamp
string

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

decimals
string
Example:

1000

deleted
boolean | null
Example:

true

expiry_timestamp
integer<int64> | null
Example:

1234567890100000

fee_schedule_key
object

The public key which controls access to various network entities.

freeze_default
boolean
Example:

false

freeze_key
object

The public key which controls access to various network entities.

initial_supply
string
Example:

"1000000"

kyc_key
object

The public key which controls access to various network entities.

max_supply
string
Example:

"9223372036854775807"

metadata
string<byte>

Arbitrary binary data associated with this token class encoded in base64.

metadata_key
object

The key which can change the metadata of a token and individual NFTs.

modified_timestamp
string

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

name
string
Example:

"Token name"

memo
string
Example:

"token memo"

pause_key
object

The public key which controls access to various network entities.

pause_status
enum<string>
Available options:
NOT_APPLICABLE,
PAUSED,
UNPAUSED
Example:

"UNPAUSED"

supply_key
object

The public key which controls access to various network entities.

supply_type
enum<string>
Available options:
FINITE,
INFINITE
Example:

"INFINITE"

symbol
string
Example:

"ORIGINALRDKSE"

token_id
string | null

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

total_supply
string
Example:

"1000000"

treasury_account_id
string | null

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

type
enum<string>
Available options:
FUNGIBLE_COMMON,
NON_FUNGIBLE_UNIQUE
Example:

"FUNGIBLE_COMMON"

wipe_key
object

The public key which controls access to various network entities.

custom_fees
object